<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.shcd.mapper.ShipLockWaterLevelMapper">

    <resultMap id="BaseResultMap" type="com.shcd.entity.ShipLockWaterLevel">
            <result property="dateTime" column="DATE_TIME" jdbcType="TIMESTAMP"/>
            <result property="insideI" column="INSIDE_I" jdbcType="DECIMAL"/>
            <result property="insideO" column="INSIDE_O" jdbcType="DECIMAL"/>
            <result property="outsideI" column="OUTSIDE_I" jdbcType="DECIMAL"/>
            <result property="outsideO" column="OUTSIDE_O" jdbcType="DECIMAL"/>
            <result property="time" column="TIME" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        DATE_TIME,INSIDE_I,INSIDE_O,
        OUTSIDE_I,OUTSIDE_O,TIME
    </sql>
</mapper>
